Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiChatMessage.OpenAiChatUserMessage.ContentPartImage.ImageUrl

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatMessage.OpenAiChatUserMessage.ContentPartImage.ImageUrl

Enclosing class:
  `OpenAiChatMessage.OpenAiChatUserMessage.ContentPartImage`

public static class OpenAiChatMessage.OpenAiChatUserMessage.ContentPartImage.ImageUrl extends Object
Image URL.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageUrl()`
  `ImageUrl(String url, OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel detail)`
  Creates a new `ImageUrl` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `OpenAiChatMessage.OpenAiChatUserMessage.ContentPartImage.ImageUrl`
  `setDetail(OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel detail)`
  Specifies the detail level of the image.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImageUrl

    public ImageUrl()

  - ### ImageUrl

    public ImageUrl(String url, OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel detail)
    Creates a new `ImageUrl` instance.
    Parameters:
      `url` - Specifies the url of the image.
      `detail` - Specifies the detail level of the image.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### setDetail

    public OpenAiChatMessage.OpenAiChatUserMessage.ContentPartImage.ImageUrl setDetail(@Nullable OpenAiChatMessage.OpenAiChatUserMessage.ImageDetailLevel detail)
    Specifies the detail level of the image.
    Returns:
      `this`.